Sokin Embedded API
  1. v2025-12-01
Sokin Embedded API
  • Getting Started
    • Sokin Definitions
    • Guides
      • Authentication
      • Receiving Payments
      • FX Payments
      • Payments
      • Unfunded Payments
      • Unfunded FX Payments
      • Corporate Onboarding
        • Data Requirements
        • Step 1: Create a corporate profile
        • Step 2: Add associates
        • Step 3: Add a parent entity (if applicable)
        • Step 4: Upload company documents
        • Step 5: Upload associate documents
        • Real-time Status Updates via Webhook
        • Conditional Step: Upload Parent Entity documents (if applicable)
        • Step 6: Finalise onboarding submission
        • Uploading supporting documents using Pre-signed URLs
        • Onboarding Reference Data
        • Onboarding Models
          • Data-Only model
          • Supported Jurisdictions & National ID Requirements
      • Payments Reference Data
        • Purpose of Payment
        • Transfer Reasons
        • Beneficiary Fields
  • Authentication
    • Get Token
      POST
    • Get Token on behalf of corporate
      POST
    • Schemas
      • TokenResponse
  • Corporates
    • v2025-12-01
      • Create a new Corporate
        POST
      • Add a parent entity (corporate associate) to an onboarding request
        POST
      • Add an associate to a corporate onboarding request
        POST
      • Request pre-signed URLs for onboarding document uploads
        POST
      • Request pre-signed URLs for parent entity document uploads
        POST
      • Request pre-signed URLs for associate document uploads
        POST
      • Finalise corporate onboarding submission
        POST
    • Schemas
      • NumericRange
      • ApiResponse[AddIndividualAssociateResponse]
      • ApiResponse[AddAssociateDocumentsResponse]
      • ApiResponse[AddOnboardingDocumentsResponse]
      • AddOnboardingDocumentsResponse
      • AssociateDocumentPresignedUrlResponse
      • AssociateType
      • ErrorResponse
      • MessageResponse
      • FinaliseSubmissionResponse
      • AddParentEntityRequest
      • MoneyRange
      • AddOnboardingDocumentsRequest
      • ApiResponse[CreateCorporateResponse]
      • CreateCorporateRequest
      • CreateCorporateResponse
      • FinaliseSubmissionRequest
      • PresignedUrlResponse
      • AddressTypeEnum
      • OwnershipType
      • AddAssociateDocumentsResponse
      • ErrorDetail
      • AddIndividualAssociateRequest
      • UboDetails
      • AddParentEntityResponse
      • AddIndividualAssociateResponse
      • CorporateAssociateType
      • AddParentEntityDocumentsRequest
      • AssociateDocumentPresignedUrlResponseItem
      • ApiResponse[AddParentEntityResponse]
      • AssociateIdentityType
      • AddAssociateDocumentsRequest
  • Corporate Currency Accounts
    • v2025-12-01
      • Get Corporate Currency Accounts
      • Get Corporate Currency Account By Reference
    • Schemas
      • ErrorResponse
      • PaginationInfo
      • ErrorDetail
      • ApiResponse[GetCCAByReferenceResponse]
      • GetCCAByReferenceResponse
      • GetCCAByReferenceResponsePayInDetail
      • GetCCAsResponseItem
      • PaginatedApiResponse[GetCCAsResponseItem]
  • Beneficiaries
    • v2025-12-01
      • Get Beneficiary Fields
      • Create External Beneficiary
      • Get Beneficiary List
      • Get Beneficiary Details
      • Delete Beneficiary
    • Schemas
      • ErrorResponse
      • FieldType
      • IdentifierType
      • TransactionTypeEnum
      • BeneficiaryType
      • AccountType
      • ApiResponse[BeneficiaryDetails]
      • ApiResponse[CreateExternalBeneficiaryData]
      • ApiResponse[DeleteBeneficiaryData]
      • ApiResponse[GetBeneficiaryFieldsResponse]
      • BeneficiaryField
      • BeneficiaryListItem
      • CreateExternalBeneficiaryData
      • CreateExternalBeneficiaryRequest
      • DeleteBeneficiaryData
      • GetBeneficiaryFieldsResponse
      • PaginatedApiResponse[BeneficiaryListItem]
      • StateOrProvince
      • PaginationInfo
      • PaginatedBeneficiaryFieldsResponse
      • ErrorDetail
      • BeneficiaryDetails
  • Instruction Requests
    • v2025-12-01
      • Get Instruction Request By Reference
      • Create Payment Instruction Request
      • Create Fx Instruction Request
      • Create Fx Payment Instruction Request
      • Create Unfunded Payment Instruction Request
      • Create Unfunded Fx Payment Instruction Request
    • Schemas
      • ErrorResponse
      • ApiResponse[CreateInstructionRequestResponse]
      • ErrorDetail
      • ApiResponse[GetInstructionRequestResponse]
      • CreateFXInstructionRequest
      • CreateFxPaymentInstructionRequest
      • CreateInstructionRequestResponse
      • CreatePaymentInstructionRequest
      • CreateUnfundedFxPaymentInstructionRequest
      • CreateUnfundedPaymentInstructionRequest
      • GetInstructionRequestResponse
  • Instructions
    • v2025-12-01
      • Get Instruction By Reference
    • Schemas
      • ErrorDetail
      • ErrorResponse
      • ApiResponse[GetInstructionResponse]
      • GetInstructionResponse
  • Foreign Exchange
    • v2025-12-01
      • Get Fx Rate
    • Schemas
      • ErrorResponse
      • FxRateData
      • FixedSide
      • ApiResponse[FxRateData]
      • ErrorDetail
      • FxRateRequest
  • Webhooks
    • Webhooks
    • v2025-12-01
      • Create Subscription
      • Update Subscription Status
      • Update Subscription
      • Delete Subscription
      • Get Subscription By Id
      • List Notification Logs
      • Retry Notification
    • Schemas
      • ApiResponse[CreateSubscriptionResponse]
      • NotificationStatus
      • ApiResponse[NotificationLogList]
      • NotificationAttemptResponse
      • ApiResponse[UpdateSubscriptionResponse]
      • NotificationLogList
      • ErrorResponse
      • NotificationLogResponse
      • SubscriptionCreateOrUpdate
      • SubscriptionStatusUpdate
      • CreateSubscriptionResponse
      • UpdateSubscriptionResponse
      • InstructionCreated
      • ErrorDetail
      • InstructionReqeustRejected
      • InstructionProcessedWebhook
      • InstructionRejectedWebhook
      • OnboardingRequestApproved
      • OnboardingRequestRejected
      • CorporateActivated
      • CorporateDeactivated
      • CorporateCurrencyAccountFundingReceived
      • WebhookSubscription
      • WebhookNotificationLogs
  1. v2025-12-01

Create a new Corporate

Testing Env
https://api.uat.sokin.com
Testing Env
https://api.uat.sokin.com
POST
/corporates
Creates a Corporate and returns the generated external reference.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Header Params

Body Params application/jsonRequired

Examples

Responses

🟢201Created
application/json
External reference of the created Corporate entity.
Body

🟠400Unprocessable Entity
🟠401
🟠403
🟠404
🟠422
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://api.uat.sokin.com/corporates' \
--header 'x-api-version;' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "corporateName": "Acme Technologies Ltd",
    "registrationId": "12345678",
    "dateOfIncorporation": "2020-01-15",
    "doingBusinessAs": "string",
    "natureOfBusiness": "62020",
    "taxNumber": "GB123456789",
    "website": "https://www.acme-tech.com",
    "corporateCategory": "LTD",
    "customerExpectedTransactionValue": {
        "currency": "USD",
        "max": 150000,
        "min": 1
    },
    "customerExpectedAmountVolume": {
        "max": 2,
        "min": 1
    },
    "outgoingTransactionValuePerYear": {
        "currency": "USD",
        "max": 150000,
        "min": 1
    },
    "yearsOfTrading": {
        "max": 2,
        "min": 1
    },
    "annualRevenue": {
        "currency": "USD",
        "max": 150000,
        "min": 1
    },
    "annualFxVolumeInUsd": {
        "currency": "USD",
        "max": 150000,
        "min": 1
    },
    "businessAddress": "123 Business Street",
    "country": "GB",
    "postalCode": "SW1A 1AA",
    "city": "London",
    "stateOrProvince": "string",
    "isSameOperatingAddress": true,
    "operatingAddress": "string",
    "operatingAddressCountry": "string",
    "operatingAddressPostalCode": "string",
    "operatingAddressCity": "string",
    "operatingAddressStateOrProvince": "string",
    "contactName": "John Smith",
    "corporateEmailAddress": "contact@acme-tech.com",
    "phoneNumber": "+441234567890",
    "notificationEmail": "string",
    "paymentQueriesContactName": "Jane Doe",
    "paymentQueriesEmailAddress": "payments@acme-tech.com",
    "paymentQueriesMobileNo": "+441234567891",
    "isExistingBankAccount": false,
    "bankAccountDetails": "string",
    "isDispute": false,
    "disputeDetails": "string",
    "isBankruptcy": false,
    "bankruptcyDetails": "string",
    "isRegulated": false,
    "regulatedDetails": "string",
    "anticipateReceivingPayment": "Clients/Customers, Vendors/Partners",
    "purposeOfReceivingPayment": "Sales revenue from customers",
    "anticipateSendingPayment": "Suppliers/Vendors/Partners, Employees",
    "purposeOfSendingPayment": "Supplier payments and payroll",
    "intendPaymentCountry": "GB, US, DE",
    "receivePaymentCountry": "GB, US, FR",
    "makeReceivePaymentCurrency": "GBP, USD, EUR",
    "sourceOfFunds": [
        "Inter-company payments",
        "Income from ongoing operations"
    ],
    "sourceOfFundsInfo": "Revenue from software licensing",
    "planToUseSokinServices": [
        "string"
    ],
    "otherPlan": "string",
    "briefBusinessDescription": "stringstringstringstringstringstringstringstringstringstring",
    "referenceId": "string"
}'
Response Response Example
201 - Example 1
{
    "message": "string",
    "data": {
        "externalReference": "string"
    }
}
Modified at 2026-02-27 15:27:23
Previous
TokenResponse
Next
Add a parent entity (corporate associate) to an onboarding request
Built with